.TH NAMECHEAP "1" "April 2018" "User Commands"
.SH NAME
.TP
.B 
namecheap \- CLI tool to manage NameCheap.com domain records
.SH PREREQUISITES
.PP
Namecheap requires an api key, username and address. A configuration file is created when the tool is first run in `~/.namecheap_cfg`.

You must replace these default values with your own:
.PP

#!/usr/bin/env python

api_key = '0123456789abcdef0123456789abcdef'

username = 'myusername'

ip_address = '10.0.0.1'
.SH SYNOPSIS
namecheap [\-h] [\-\-debug] [\-\-sandbox]
.TP
(\fB\-\-add\fR | \fB\-\-delete\fR | \fB\-\-list\fR) [\-\-domain DOMAIN]
[\-\-type TYPE] [\-\-name NAME] [\-\-address ADDRESS]
[\-\-ttl TTL]
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-debug\fR
If set, enables debug output
.TP
\fB\-\-sandbox\fR
If set, forcing usage of Sandbox API, see README.md for
details
.TP
\fB\-\-add\fR
Use to add a record
.TP
\fB\-\-delete\fR
Use to remove a record
.TP
\fB\-\-list\fR
List existing records
.TP
\fB\-\-domain\fR DOMAIN
Domain to manage, default is "example.org", don't forget
to override
.TP
\fB\-\-type\fR TYPE
Record type, default is "A"
.TP
\fB\-\-name\fR NAME
Record name, default is "test"
.TP
\fB\-\-address\fR ADDRESS
Address for record to point to, default is "127.0.0.1"
.TP
\fB\-\-ttl\fR TTL
Time\-To\-Live, in seconds, default is 300
.TP
(\fB\-\-add\fR | \fB\-\-delete\fR | \fB\-\-list\fR) [\-\-domain DOMAIN]
[\-\-type TYPE] [\-\-name NAME] [\-\-address ADDRESS]
[\-\-ttl TTL]
.SH "SEE ALSO"
For more info on this tool see https://github.com/Bemmu/pyNamecheap/.
